Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: <[email-masked]>
Date: Sat, 23 Jan 2010 11:25:38 -0500

Want to know what the real Russian girls love and warmth? Just a small click